<?php

$content = api_query('https://' . $server . '/manager/ispmgr?func=diraccess.user&elid=' . urlencode($_GET['elid']) . '&out=xml&auth=' . urlencode($_SESSION['auth']));
$parse_xml = simplexml_load_string($content);

echo '<div class="menu"><img src="images/t-new.png" alt="." /><a href="?func=diraccess.user.edit&amp;plid=' . urlencode($_GET['elid']) . '">Создать пользователя</a>' . "\n";
echo '</div>' . "\n";

foreach($parse_xml->elem as $var) {
    echo '<div class="post"><b>Пользователь:</b> ' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '&raquo; <a href="?func=diraccess.user.edit&amp;elid=' . urlencode((string)$var->name) . '&amp;plid=' . urlencode($_GET['elid']) . '">Параметры пользователя</a><br />' . "\n";
    echo '&raquo; <a href="?func=diraccess.user.delete&amp;elid=' . urlencode((string)$var->name) . '&amp;plid=' . urlencode($_GET['elid']) . '">Удалить</a>' . "\n";
    echo '</div>' . "\n";
}

echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=diraccess">Ограничение доступа</a><br />' . "\n";
echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";

?>